> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deasylabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Paginated

> Retrieve a paginated list of files/nodes from the vector database - supports shared connections



## OpenAPI

````yaml /deasy-openapi-stainless.yml post /data/list_paginated
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: /rest/unstructured
security: []
paths:
  /data/list_paginated:
    post:
      tags:
        - Data Connectors
      summary: List Paginated
      description: >-
        Retrieve a paginated list of files/nodes from the vector database -
        supports shared connections
      operationId: list_paginated_data_list_paginated_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListPaginatedRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListPaginatedResponse'
        '403':
          description: Missing token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
        '500':
          description: >-
            Internal Server Error. An unexpected error occurred while processing
            the request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
      security:
        - BasicAuth: []
        - BearerAuth: []
          UserIdAuth: []
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from unstructured import UnstructuredClient

            client = UnstructuredClient(
                username=os.environ.get("UNSTRUCTURED_USERNAME"),  # This is the default and can be omitted
                password=os.environ.get("UNSTRUCTURED_PASSWORD"),  # This is the default and can be omitted
            )
            response = client.data_source.list_ingested_data_paginated(
                data_connector_name="data_connector_name",
            )
            print(response.entities)
        - lang: JavaScript
          source: |-
            import UnstructuredClient from 'unstructured-sdk';

            const client = new UnstructuredClient({
              authMethod: 'My Auth Method',
              username: process.env['UNSTRUCTURED_USERNAME'], // This is the default and can be omitted
              password: process.env['UNSTRUCTURED_PASSWORD'], // This is the default and can be omitted
            });

            const response = await client.dataSource.listIngestedDataPaginated({
              data_connector_name: 'data_connector_name',
            });

            console.log(response.entities);
components:
  schemas:
    ListPaginatedRequest:
      properties:
        data_connector_name:
          type: string
          title: Data Connector Name
        limit:
          type: integer
          title: Limit
          default: 50
        offset:
          anyOf:
            - type: integer
            - type: string
          title: Offset
          default: 0
        group_by:
          type: string
          title: Group By
          default: file
        scroll_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Scroll Limit
        hard_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hard Limit
        entities_already_scrolled:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Entities Already Scrolled
          default: []
        search_query:
          anyOf:
            - type: string
            - type: 'null'
          title: Search Query
        dataslice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataslice Id
      type: object
      required:
        - data_connector_name
      title: ListPaginatedRequest
    ListPaginatedResponse:
      properties:
        entities:
          items:
            type: string
          type: array
          title: Entities
        next_offset:
          anyOf:
            - {}
            - type: 'null'
          title: Next Offset
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
      type: object
      required:
        - entities
      title: ListPaginatedResponse
    HTTPError:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: HTTPError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
    BearerAuth:
      type: http
      scheme: bearer
    UserIdAuth:
      type: apiKey
      in: header
      name: X-User-ID

````